Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005Particle Class Reference

`#include <GT2005Particle.h>`

Collaboration diagram for GT2005Particle:

[legend]
List of all members.

## Public Member Functions
| GT2005Particle ()
| GT2005Particle (double x, double y, double vx, double vy, double prob, double vProb)
Vector2< double > | getPosition () const
Vector2< double > | getVelocity () const
void | setPosition (double x, double y)
void | setVelocity (double vx, double vy)
void | setParameters (double x, double y, double vx, double vy, double prob, double vProb)
## Public Attributes
Vector2< double > | pose
double | probability
double | vx
double | vy
double | vprob
double | seenvx
double | seenvy
double | provx
double | provy
GT2005Particle * | next

## Constructor & Destructor Documentation

GT2005Particle::GT2005Particle | ( |  | ) |

| Definition at line 18 of file GT2005Particle.cpp. References provx, provy, seenvx, seenvy, vprob, vx, vy, Vector2< double >::x, and Vector2< double >::y.

GT2005Particle::GT2005Particle | ( | double | x,
|  | double | y,
|  | double | vx,
|  | double | vy,
|  | double | prob,
|  | double | vProb
| ) |

| Definition at line 32 of file GT2005Particle.cpp. References provx, provy, seenvx, seenvy, vprob, Vector2< double >::x, and Vector2< double >::y.

## Member Function Documentation

Vector2< double > GT2005Particle::getPosition | ( |  | ) | const

| Definition at line 47 of file GT2005Particle.cpp. References Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005BallLocator::drawParticle(), and GT2005BallLocator::measurementUpdate().

Vector2< double > GT2005Particle::getVelocity | ( |  | ) | const

| Definition at line 53 of file GT2005Particle.cpp. References vx, and vy. Referenced by GT2005BallLocator::drawParticle().

void GT2005Particle::setPosition | ( | double | x,
|  | double | y
| ) |

| Definition at line 59 of file GT2005Particle.cpp. References Vector2< double >::x, and Vector2< double >::y.

void GT2005Particle::setVelocity | ( | double | vx,
|  | double | vy
| ) |

| Definition at line 65 of file GT2005Particle.cpp.

void GT2005Particle::setParameters | ( | double | x,
|  | double | y,
|  | double | vx,
|  | double | vy,
|  | double | prob,
|  | double | vProb
| ) |

| Definition at line 71 of file GT2005Particle.cpp. References provx, provy, seenvx, seenvy, vprob, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2005TeamBallLocator::execute(), GT2005ParticleContainerReceived::GT2005ParticleContainerReceived(), and GT2005BallLocator::noNonsenseParticles().

## Member Data Documentation

Vector2<double> GT2005Particle::pose

| Definition at line 39 of file GT2005Particle.h. Referenced by GT2005TeamBallLocator::CompositeCell::addParticle(), GT2005TeamBallLocator::BasicCell::calcAverages(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), GT2005ParticleContainer::calculateEstimatedBall(), GT2005ParticleContainerReceived::calculateEstimatedBallPosition(), GT2005TeamBallLocator::drawParticle(), GT2005TeamBallLocator::execute(), GT2005BallLocator::measurementUpdate(), GT2005BallLocator::noNonsenseParticles(), and GT2005TeamBallLocator::timeUpdateNotReceived().

double GT2005Particle::probability

| Definition at line 40 of file GT2005Particle.h. Referenced by GT2005TeamBallLocator::BasicCell::calcAverages(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), GT2005ParticleContainer::calculateEstimatedBall(), GT2005ParticleContainerReceived::calculateEstimatedBallPosition(), GT2005ParticleContainerReceived::calculateEstimatedBallVelocity(), GT2005TeamBallLocator::drawParticle(), GT2005BallLocator::drawParticle(), GT2005TeamBallLocator::execute(), GT2005BallLocator::measurementUpdate(), GT2005BallLocator::noNonsenseParticles(), GT2005TeamBallLocator::timeUpdateNotReceived(), and GT2005TeamBallLocator::timeUpdateReceived().

double GT2005Particle::vx

| Definition at line 41 of file GT2005Particle.h. Referenced by GT2005ParticleContainer::calculateEstimatedBall(), GT2005ParticleContainerReceived::calculateEstimatedBallVelocity(), GT2005TeamBallLocator::execute(), getVelocity(), GT2005Particle(), and GT2005BallLocator::measurementUpdate().

double GT2005Particle::vy

| Definition at line 42 of file GT2005Particle.h. Referenced by GT2005ParticleContainer::calculateEstimatedBall(), GT2005ParticleContainerReceived::calculateEstimatedBallVelocity(), GT2005TeamBallLocator::execute(), getVelocity(), GT2005Particle(), and GT2005BallLocator::measurementUpdate().

double GT2005Particle::vprob

| Definition at line 43 of file GT2005Particle.h. Referenced by GT2005ParticleContainer::calculateEstimatedBall(), GT2005ParticleContainerReceived::calculateEstimatedBallVelocity(), GT2005TeamBallLocator::execute(), GT2005Particle(), GT2005BallLocator::measurementUpdate(), and setParameters().

double GT2005Particle::seenvx

| Definition at line 46 of file GT2005Particle.h. Referenced by GT2005Particle(), GT2005BallLocator::measurementUpdate(), and setParameters().

double GT2005Particle::seenvy

| Definition at line 48 of file GT2005Particle.h. Referenced by GT2005Particle(), GT2005BallLocator::measurementUpdate(), and setParameters().

double GT2005Particle::provx

| Definition at line 50 of file GT2005Particle.h. Referenced by GT2005Particle(), GT2005BallLocator::measurementUpdate(), and setParameters().

double GT2005Particle::provy

| Definition at line 50 of file GT2005Particle.h. Referenced by GT2005Particle(), GT2005BallLocator::measurementUpdate(), and setParameters().

GT2005Particle* GT2005Particle::next

| Definition at line 53 of file GT2005Particle.h. Referenced by GT2005TeamBallLocator::BasicCell::addParticle(), GT2005TeamBallLocator::BasicCell::calcAverages(), GT2005TeamBallLocator::calcRepresentativeParticleContainer(), GT2005ParticleContainer::calculateEstimatedBall(), GT2005ParticleContainerReceived::calculateEstimatedBallPosition(), GT2005ParticleContainerReceived::calculateEstimatedBallVelocity(), GT2005TeamBallLocator::CompositeCell::split(), and GT2005TeamBallLocator::BasicCell::violentBrutalDestruction().

The documentation for this class was generated from the following files:

- Modules/BallLocator/GT2005Particles/GT2005Particle.h
- Modules/BallLocator/GT2005Particles/GT2005Particle.cpp